local FMT = "[%s] [%s]: %s"
local classColorTable = (_G.CUSTOM_CLASS_COLORS or _G.RAID_CLASS_COLORS)
local function BackToChat(owner,...)
  local clubId, streamId, messageId = ...
  local message = C_Club.GetMessageInfo(clubId, streamId, messageId)
  if not (message and message.author) and (message.author.clubType == Enum.ClubType.Guild) then
    return
  end
  local streamInfo = C_Club.GetStreamInfo(clubId, streamId)
  local chatColor = ChatTypeInfo.GUILD
  if streamInfo and streamInfo.streamType and (streamInfo.streamType == Enum.ClubStreamType.Officer) then
    chatColor = ChatTypeInfo.OFFICER
  end
  local author = message.author
  if author.name ~= UNKNOWNOBJECT then
    local classInfo = author.classID and C_CreatureInfo.GetClassInfo(author.classID)
    local classColor
    if classInfo then
      classColor = classColorTable[classInfo.classFile]
    else
      classColor = GRAY_FONT_COLOR
    end
    local authorLink = GetPlayerLink(author.name, classColor:WrapTextInColorCode(author.name))
    local chatFrame = (_G.SELECTED_CHAT_FRAME or _G.DEFAULT_CHAT_FRAME)
    chatFrame:AddMessage(FMT:format(_G.GUILD,authorLink,message.content),chatColor.r,chatColor.g,chatColor.b)
  end
end

EventRegistry:RegisterFrameEventAndCallback("CLUB_MESSAGE_ADDED", BackToChat)